org.springframework.data.geo.format

## Enum PointFormatter

- java.lang.Object
- - java.lang.Enum<PointFormatter>
  - - org.springframework.data.geo.format.PointFormatter

All Implemented Interfaces:
  Serializable, Comparable<PointFormatter>, Converter<String,Point>, Formatter<Point>, Parser<Point>, Printer<Point>

    public enum PointFormatter
    extends Enum<PointFormatter>
    implements Converter<String,Point>, Formatter<Point>

Converter to parse two comma-separated doubles into a `Point`.

Author:
  Oliver Gierke

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INSTANCE`

### Field Summary

Fields
`static GenericConverter.ConvertiblePair` `CONVERTIBLE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Point` `convert(String source)`
`Point` `parse(String text, Locale locale)`
`String` `print(Point point, Locale locale)`
`static PointFormatter` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PointFormatter[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.core.convert.converter.Converter

`andThen`

### Enum Constant Detail

#### INSTANCE

    public static final PointFormatter INSTANCE

### Field Detail

#### CONVERTIBLE

    public static final GenericConverter.ConvertiblePair CONVERTIBLE

### Method Detail

#### values

    public static PointFormatter[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PointFormatter c : PointFormatter.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PointFormatter valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### convert

    @Nonnull
    public Point convert(String source)

Specified by:
  `convert` in interface `Converter<String,Point>`

#### print

    public String print(Point point,
                        Locale locale)

Specified by:
  `print` in interface `Printer<Point>`

#### parse

    public Point parse(String text,
                       Locale locale)
                throws ParseException

Specified by:
  `parse` in interface `Parser<Point>`
Throws:
  `ParseException`